//check.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "label.h"
#include "check.h"


Check::Check(): Container()
{
	_contained = NULL;
	_widget = gtk_check_button_new();
}

Check::Check(GtkWidget* widget): Container()
{
	_contained = NULL;
	_widget = widget;
}

Check::Check(gchar text[]): Container()
{
	_widget = gtk_check_button_new();
	_contained = new Label(text);
	add(_contained);
}

Check::~Check()
{
	if(_contained) delete _contained;
}

//returns
gboolean Check::getActive()
{
	return GTK_TOGGLE_BUTTON(_widget)->active;
}

//useful
void Check::setActive(gboolean b)
{
	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(_widget), b);
}
