//clist.h



#ifndef __CLIST_H
#define __CLIST_H


class CList: public Widget
{
	public:
		CList(gint columns);

		//useful
		void freeze(gboolean b);

		//set text
		gint append(gchar* text[]);
		void insert(gint row, gchar* text[]);
		gint prepend(gchar* text[]);

		//unset text
		void remove(gint row);
		void clear();

		//misc
		void selectRow(gint row, gint column);
		void swapRows(gint row1, gint row2);

		//get text
		gchar* getText(gint row, gint column);

		//user data
		void setData(gint row, gpointer data);
};

#endif //__CLIST_H
