//entry.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "entry.h"


Entry::Entry(gchar text[]): Widget()
{
	_widget = gtk_entry_new();
	setText(text);
}

Entry::Entry(GtkWidget* widget): Widget()
{
	_widget = widget;
}


void Entry::setText(gchar text[])
{
	if(text != NULL) gtk_entry_set_text(GTK_ENTRY(_widget), text);
	else gtk_entry_set_text(GTK_ENTRY(_widget), "");
}

gchar* Entry::getText()
{
	return strdup(gtk_entry_get_text(GTK_ENTRY(_widget)));
}
