//filesel.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "filesel.h"


Filesel::Filesel(char title[], char filename[]):
Widget(gtk_file_selection_new(title))
{
	gtk_file_selection_set_filename(GTK_FILE_SELECTION(_widget), filename);
}

//essentials
//extra signal connections
void Filesel::signalConnectOk(char event[], void* func, gpointer data)
{
	gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(_widget)->ok_button), event, GtkSignalFunc(func), data);
}

void Filesel::signalConnectCancel(char event[], void* func, gpointer data)
{
	gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(_widget)->cancel_button), event, GtkSignalFunc(func), data);
}

//useful
char* Filesel::getFilename()
{
	return gtk_file_selection_get_filename(GTK_FILE_SELECTION(_widget));
}
