//list.h



#ifndef __LIST_H
#define __LIST_H


#include <glib.h>

class List
{
	private:
		GList* _list;

		//last called entities (not yet implemented)
//		guint _i;
//		GList* _last;
	public:
		List();
		~List();

		//returns
		GList* list() { return _list; } //shouldn't be needed
		gint length();

		//useful
		GList* find(gpointer data);	//FIXME should never return a GList*
		void* get(guint n);
		gint pos(void* data);

		//operations
		void prepend(gpointer data);
		void append(gpointer data);
		void insert(gpointer data, gint position);
		void concat(List* list);
		void remove(gpointer data);

		void clear();
};


class SList
{
	private:
		GSList* _list;
		GSList* _last_list;
		guint _i;
	public:
		SList();
		~SList();

		//returns
		GSList* list() { return _list; } //shouldn't be needed
		gint length();

		//useful
		GSList* find(gpointer data);
		void* get(guint n);
		gint pos(void* data);

		//operations
		void prepend(gpointer data);
		void append(gpointer data);
		void insert(gpointer data, gint position);
		void concat(SList* list);
		void remove(gpointer data);

		void clear();
};

#endif //__LIST_H
