//notebook.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "label.h"
#include "notebook.h"


Notebook::Notebook(gint pos)
{
	_widget = gtk_notebook_new();
	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(_widget), (GtkPositionType)pos);
//	setTabLabel(label);
}

void Notebook::setScrollable(gboolean b)
{
	gtk_notebook_set_scrollable(GTK_NOTEBOOK(_widget), b);
}

void Notebook::append(Widget* child, Widget* label)
{
	gtk_notebook_append_page(GTK_NOTEBOOK(_widget), child->widget(), label->widget());
}

void Notebook::append(Widget* child, gchar label[])
{
	append(child, new Label(label));
}
