//radio.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "container.h"
#include "list.h"
#include "radio.h"


Radio::Radio(Radio* radio): Container()
{
	_contained = NULL;
	if(radio == NULL)
		_widget = gtk_radio_button_new(NULL);
	else
		_widget = gtk_radio_button_new(radio->group());
}

Radio::Radio(gchar text[], Radio* radio)
{
	if(radio == NULL)
		_widget = gtk_radio_button_new(NULL);
	else
		_widget = gtk_radio_button_new(radio->group());
	_contained = gtk_label_new(text);
	add(_contained);
}


//returns
gboolean Radio::getActive()
{
	return GTK_TOGGLE_BUTTON(_widget)->active;
}

//useful
GSList* Radio::group()
{
	return gtk_radio_button_group(GTK_RADIO_BUTTON(_widget));
}

void Radio::setActive(gboolean b)
{
	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(_widget), b);
}
