//statusbar.cpp



#include <gnome.h>
#include "theme.h"
#include "widget.h"
#include "statusbar.h"


Statusbar::Statusbar(gchar text[]): Widget()
{
	_widget = gtk_statusbar_new();
	_context = gtk_statusbar_get_context_id(GTK_STATUSBAR(_widget), "");
	gtk_statusbar_push(GTK_STATUSBAR(_widget), _context, text);
}

void Statusbar::setText(gchar text[])
{
	gtk_statusbar_pop(GTK_STATUSBAR(_widget), _context);
	gtk_statusbar_push(GTK_STATUSBAR(_widget), _context, text);
}
